Module java.base
Package java.util

## Class MissingFormatArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.util.IllegalFormatException
          - - java.util.MissingFormatArgumentException

- All Implemented Interfaces:
    `Serializable`

      public class MissingFormatArgumentException
      extends IllegalFormatException

  Unchecked exception thrown when there is a format specifier which does not have a corresponding argument or if an argument index refers to an argument that does not exist.

  Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MissingFormatArgumentException​(String s)` | Constructs an instance of this class with the unmatched format specifier.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getFormatSpecifier()` | Returns the unmatched format specifier.

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingFormatArgumentException

          public MissingFormatArgumentException​(String s)

      Constructs an instance of this class with the unmatched format specifier.
      Parameters:
        `s` - Format specifier which does not have a corresponding argument

  - ### Method Detail

    - #### getFormatSpecifier

          public String getFormatSpecifier()

      Returns the unmatched format specifier.
      Returns:
        The unmatched format specifier